/* MIPS I system
 * Copyright 2011-2012 Stefan Schuermans <stefan@schuermans.info>
 * Copyleft GNU public license V2 or later
 *          http://www.gnu.org/copyleft/gpl.html
 */

#ifndef CONFIG_H
#define CONFIG_H

// MAC address
struct config_mac {
  unsigned char mac[6];
};
extern struct config_mac config_mac;

// IP configuration
struct config_ip {
  unsigned char ip[4]; ///< own IP address
  unsigned char mask[4]; //</ subnet mask
  unsigned char gw[4]; ///< dateway IP address
};
extern struct config_ip config_ip;

#endif // #ifndef CONFIG_H

