/* MIPS I system
 * Copyright 2011-2012 Stefan Schuermans <stefan@schuermans.info>
 * Copyleft GNU public license V2 or later
 *          http://www.gnu.org/copyleft/gpl.html
 */

#include "leds.h"

static volatile unsigned char *const leds_ptr =
  (volatile unsigned char *)0x80000000;

/**
 * @brief set state of LEDS
 * @param[in] state LED state
 */
void leds_set_state(unsigned char state)
{
  *leds_ptr = state;
}

